SDL_SetGPURenderStateFragmentUniforms(3)

NAME
SDL_SetGPURenderStateFragmentUniforms - Set fragment shader uniform variables in a custom GPU render state.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_SetGPURenderStateFragmentUniforms(SDL_GPURenderState *state, Uint32 slot_index, const void *data, Uint32 length);

DESCRIPTION
The data is copied and will be pushed using SDL_PushGPUFragmentUniformData() during draw call execution.

FUNCTION PARAMETERS

state
    the state to modify.

slot_index
    the fragment uniform slot to push data to.

data
    client data to write.

length
    the length of the data to write.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the renderer.

AVAILABILITY
This function is available since SDL 3.4.0.